[ARVADOS] updated: 0f9285a458f0f7a86d9877d5fcf65d3f9d14ec35

Git user git at public.curoverse.com
Fri Mar 4 10:42:19 EST 2016


Summary of changes:
 doc/install/arvbox.html.textile.liquid |  8 ++++----
 tools/arvbox/bin/arvbox                | 10 +++++-----
 2 files changed, 9 insertions(+), 9 deletions(-)

       via  0f9285a458f0f7a86d9877d5fcf65d3f9d14ec35 (commit)
      from  7c7a8660bd619a0d873835c778ae4c6f909a99f6 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 0f9285a458f0f7a86d9877d5fcf65d3f9d14ec35
Author: Peter Amstutz <peter.amstutz at curoverse.com>
Date:   Fri Mar 4 10:42:01 2016 -0500

    Rename arvbox command 'reboot' to 'rebuild' no issue #

diff --git a/doc/install/arvbox.html.textile.liquid b/doc/install/arvbox.html.textile.liquid
index 4d9f504..3ddc7c8 100644
--- a/doc/install/arvbox.html.textile.liquid
+++ b/doc/install/arvbox.html.textile.liquid
@@ -26,7 +26,7 @@ h2. Usage
 $ arvbox
 Arvados-in-a-box                      http://arvados.org
 
-arvbox (build|start|run|open|shell|ip|stop|reboot|reset|destroy|log|svrestart)
+arvbox (build|start|run|open|shell|ip|stop|rebuild|reset|destroy|log|svrestart)
 
 build <config>      build arvbox Docker image
 start|run <config>  start arvbox container
@@ -37,7 +37,7 @@ host       print arvbox published host
 status     print some information about current arvbox
 stop       stop arvbox container
 restart <config>  stop, then run again
-reboot  <config>  stop, build arvbox Docker image, run
+rebuild  <config>  stop, build arvbox Docker image, run
 reset      delete arvbox arvados data (be careful!)
 destroy    delete all arvbox code and data (be careful!)
 log <service> tail log of specified service
@@ -122,14 +122,14 @@ h2. Making Arvbox accessible from other hosts
 In "dev" and "localdemo" mode, Arvbox can only be accessed on the same host it is running.  To publish Arvbox service ports to the host's service ports and advertise the host's IP address for services, use @publicdev@ or @publicdemo@:
 
 <pre>
-$ arvbox reboot publicdemo
+$ arvbox rebuild publicdemo
 </pre>
 
 This attempts to auto-detect the correct IP address to use by taking the IP address of the default route device.  If the auto-detection is wrong, you want to publish a hostname instead of a raw address, or you need to access it through a different device (such as a router or firewall), set @ARVBOX_PUBLISH_IP@ to the desire hostname or IP address.
 
 <pre>
 $ export ARVBOX_PUBLISH_IP=example.com
-$ arvbox reboot publicdemo
+$ arvbox rebuild publicdemo
 </pre>
 
 Note: this expects to bind the host's port 80 (http) for workbench, so you cannot have a conflicting web server already running on the host.  It does not attempt to take bind the host's port 22 (ssh), as a result the arvbox ssh port is not published.
diff --git a/tools/arvbox/bin/arvbox b/tools/arvbox/bin/arvbox
index 8b6e56d..88726a4 100755
--- a/tools/arvbox/bin/arvbox
+++ b/tools/arvbox/bin/arvbox
@@ -104,8 +104,8 @@ wait_for_arvbox() {
 
 run() {
     if docker ps -a | grep -E "$ARVBOX_CONTAINER$" -q ; then
-        echo "Container $ARVBOX_CONTAINER is already running, use stop, restart or reboot"
-        exit 0
+        echo "Container $ARVBOX_CONTAINER is already running, use stop, restart or rebuild"
+        exit 1
     fi
 
     if echo "$1" | grep '^public' ; then
@@ -302,7 +302,7 @@ case "$subcmd" in
         run $@
         ;;
 
-    reboot)
+    rebuild)
         check $@
         stop
         build $@
@@ -415,7 +415,7 @@ case "$subcmd" in
     *)
         echo "Arvados-in-a-box                      http://arvados.org"
         echo
-        echo "$(basename $0) (build|start|run|open|shell|ip|stop|reboot|reset|destroy|log|svrestart)"
+        echo "$(basename $0) (build|start|run|open|shell|ip|stop|rebuild|reset|destroy|log|svrestart)"
         echo
         echo "build <config>      build arvbox Docker image"
         echo "start|run <config>  start $ARVBOX_CONTAINER container"
@@ -426,7 +426,7 @@ case "$subcmd" in
         echo "status     print some information about current arvbox"
         echo "stop       stop arvbox container"
         echo "restart <config>  stop, then run again"
-        echo "reboot  <config>  stop, build arvbox Docker image, run"
+        echo "rebuild <config>  stop, build arvbox Docker image, run"
         echo "reset      delete arvbox arvados data (be careful!)"
         echo "destroy    delete all arvbox code and data (be careful!)"
         echo "log <service> tail log of specified service"

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list